Auth Details benötigt

Adi
2006-05-31
2013-04-17
  • Adi
    Adi
    2006-05-31

    Hi,

    ich setze seit kurzem eWiki ein und versuche gerade die Authentifizierung so hinzubekommen, daß alles so klappt wie ich mir das vorstelle.

    Ich setze dazu folgende Plugins ein:

    - auth_perm_ring.php
    - auth_method_http.php
    - userdb_sql.php

    Die liveauth-user Geschichte kann ich wegen PHP (4.1.2) und MySQL (3.23) Restriktionen meines Providers leider nicht benutzen. Zumindest habe ich immer Fehler bekommen, die darauf hindeuten, das ich PHP 4.3 oder größer benötige.

    Folgende Hinweise fehlen mir noch, bzw. konnte ich nicht in den READMEs entdecken (benutze version 1.02b):

    Wie kann ich das Flag für eine Seite verändern?
    Kann ich das beim Editieren machen?

    Wie kann ich die Option EWIKI_PROTECTED_MODE_HIDING sinnvoll benutzen?

    Wenn ich diese Konstante auf 1 setze, dann verschwinden meine Buttons aber es erfolgt KEIN automatischer Login (obwohl EWIKI-AUTO_LOGIN auch auf 1 gesetzt ist).

    Wie kann ich den Login als Menüpunkt auf die Seite verlinken?

    Wo werden die möglichen Flags für eine Seite verwaltet (ist das im Datenbankfeld flags)?

    Wie kann ich verhindern, daß bestimmte Seiten angezeigt werden?

    Für Hilfestellung diesbezüglich wäre ich dankbar.

    Liebe Grüße

    Adi

    P.S.: Der Plugin userdb_sql.php hat einen Fehler in der Zeile wo das Plugin installiert wird. Die [] für das Array sind vergessen worden ($ewiki_plugins["auth_userdb"] anstatt $ewiki_plugins["auth_userdb"][]).